using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmMenu
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        [StringLength(50)]
        public string MenuId { get; set; }
        public bool? Used { get; set; }
        [StringLength(255)]
        public string MenuPath { get; set; }
        [StringLength(50)]
        public string Name { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.CmMenu))]
        public virtual CmSite Site { get; set; }
    }
}
